package cn.com.pism.batslog.settings;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cn.com.pism.batslog.c.a;
import cn.com.pism.batslog.c.b;
import cn.com.pism.batslog.c.c;
import cn.com.pism.batslog.enums.DbType;
import cn.com.pism.batslog.model.ConsoleColorConfig;
import cn.com.pism.batslog.model.RgbColor;
import com.intellij.util.xmlb.annotations.OptionTag;
import java.util.ArrayList;
import java.util.List;
import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;

public class BatsLogConfig {
  private String sqlPrefix = "Preparing:";
  
  private String paramsPrefix = "Parameters:";
  
  private String timeFormat = "yyyy-MM-dd HH:mm:ss";
  
  private Boolean desensitize = Boolean.FALSE;
  
  private Boolean prettyFormat = Boolean.TRUE;
  
  private Boolean parameterized = Boolean.FALSE;
  
  private Boolean toUpperCase = Boolean.FALSE;
  
  private Boolean addTimestamp = Boolean.TRUE;
  
  private Boolean autoJumpOut = Boolean.FALSE;
  
  private Boolean startWithProject = Boolean.FALSE;
  
  private Boolean enableMixedPrefix = Boolean.FALSE;
  
  private String encoding = "AUTO";
  
  private Boolean removeDuplicateSql = Boolean.valueOf(true);
  
  private Boolean formatSql = Boolean.valueOf(true);
  
  private int removeDuplicateTimeInterval = 1000;
  
  public boolean equals(Object paramObject) {
    if (this == paramObject)
      return true; 
    if (paramObject == null || getClass() != paramObject.getClass())
      return false; 
    cn.com.pism.batslog.settings.BatsLogConfig batsLogConfig = (cn.com.pism.batslog.settings.BatsLogConfig)paramObject;
    return (new EqualsBuilder()).append(this.removeDuplicateTimeInterval, batsLogConfig.removeDuplicateTimeInterval).append(this.maxPrepareAndParameterLength, batsLogConfig.maxPrepareAndParameterLength).append(this.enabledKeyWordDefCol, batsLogConfig.enabledKeyWordDefCol).append(this.sqlPrefix, batsLogConfig.sqlPrefix).append(this.paramsPrefix, batsLogConfig.paramsPrefix).append(this.timeFormat, batsLogConfig.timeFormat).append(this.desensitize, batsLogConfig.desensitize).append(this.prettyFormat, batsLogConfig.prettyFormat).append(this.parameterized, batsLogConfig.parameterized).append(this.toUpperCase, batsLogConfig.toUpperCase).append(this.addTimestamp, batsLogConfig.addTimestamp).append(this.autoJumpOut, batsLogConfig.autoJumpOut).append(this.startWithProject, batsLogConfig.startWithProject).append(this.enableMixedPrefix, batsLogConfig.enableMixedPrefix).append(this.encoding, batsLogConfig.encoding).append(this.removeDuplicateSql, batsLogConfig.removeDuplicateSql).append(this.formatSql, batsLogConfig.formatSql).append(this.deleteLogSuffix, batsLogConfig.deleteLogSuffix).append(this.dbType, batsLogConfig.dbType).append(this.keyWordDefCol, batsLogConfig.keyWordDefCol).append(this.colorConfigs, batsLogConfig.colorConfigs).isEquals();
  }
  
  public int hashCode() {
    return (new HashCodeBuilder(17, 37)).append(this.sqlPrefix).append(this.paramsPrefix).append(this.timeFormat).append(this.desensitize).append(this.prettyFormat).append(this.parameterized).append(this.toUpperCase).append(this.addTimestamp).append(this.autoJumpOut).append(this.startWithProject).append(this.enableMixedPrefix).append(this.encoding).append(this.removeDuplicateSql).append(this.formatSql).append(this.removeDuplicateTimeInterval).append(this.maxPrepareAndParameterLength).append(this.deleteLogSuffix).append(this.dbType).append(this.keyWordDefCol).append(this.enabledKeyWordDefCol).append(this.colorConfigs).toHashCode();
  }
  
  public int getMaxPrepareAndParameterLength() {
    return this.maxPrepareAndParameterLength;
  }
  
  public void setMaxPrepareAndParameterLength(int paramInt) {
    this.maxPrepareAndParameterLength = paramInt;
  }
  
  private int maxPrepareAndParameterLength = 20000;
  
  private String deleteLogSuffix = "";
  
  @OptionTag(converter = c.class)
  public DbType dbType = DbType.OTHER;
  
  @OptionTag(converter = a.class)
  private RgbColor keyWordDefCol = new RgbColor(204, 120, 50);
  
  private boolean enabledKeyWordDefCol = true;
  
  @OptionTag(converter = b.class)
  private List<ConsoleColorConfig> colorConfigs = new ArrayList<>();
  
  public String getSqlPrefix() {
    return this.sqlPrefix;
  }
  
  public String getParamsPrefix() {
    return this.paramsPrefix;
  }
  
  public String getTimeFormat() {
    return this.timeFormat;
  }
  
  public Boolean getDesensitize() {
    return this.desensitize;
  }
  
  public Boolean getPrettyFormat() {
    return this.prettyFormat;
  }
  
  public Boolean getParameterized() {
    return this.parameterized;
  }
  
  public Boolean getToUpperCase() {
    return this.toUpperCase;
  }
  
  public Boolean getAddTimestamp() {
    return this.addTimestamp;
  }
  
  public Boolean getAutoJumpOut() {
    return this.autoJumpOut;
  }
  
  public Boolean getStartWithProject() {
    return this.startWithProject;
  }
  
  public Boolean getEnableMixedPrefix() {
    return this.enableMixedPrefix;
  }
  
  public String getEncoding() {
    return this.encoding;
  }
  
  public Boolean getRemoveDuplicateSql() {
    return this.removeDuplicateSql;
  }
  
  public Boolean getFormatSql() {
    return this.formatSql;
  }
  
  public int getRemoveDuplicateTimeInterval() {
    return this.removeDuplicateTimeInterval;
  }
  
  public DbType getDbType() {
    return this.dbType;
  }
  
  public RgbColor getKeyWordDefCol() {
    return this.keyWordDefCol;
  }
  
  public boolean isEnabledKeyWordDefCol() {
    return this.enabledKeyWordDefCol;
  }
  
  public List<ConsoleColorConfig> getColorConfigs() {
    return this.colorConfigs;
  }
  
  public void setSqlPrefix(String paramString) {
    this.sqlPrefix = paramString;
  }
  
  public void setParamsPrefix(String paramString) {
    this.paramsPrefix = paramString;
  }
  
  public void setTimeFormat(String paramString) {
    this.timeFormat = paramString;
  }
  
  public void setDesensitize(Boolean paramBoolean) {
    this.desensitize = paramBoolean;
  }
  
  public void setPrettyFormat(Boolean paramBoolean) {
    this.prettyFormat = paramBoolean;
  }
  
  public void setParameterized(Boolean paramBoolean) {
    this.parameterized = paramBoolean;
  }
  
  public void setToUpperCase(Boolean paramBoolean) {
    this.toUpperCase = paramBoolean;
  }
  
  public void setAddTimestamp(Boolean paramBoolean) {
    this.addTimestamp = paramBoolean;
  }
  
  public void setAutoJumpOut(Boolean paramBoolean) {
    this.autoJumpOut = paramBoolean;
  }
  
  public void setStartWithProject(Boolean paramBoolean) {
    this.startWithProject = paramBoolean;
  }
  
  public void setEnableMixedPrefix(Boolean paramBoolean) {
    this.enableMixedPrefix = paramBoolean;
  }
  
  public void setEncoding(String paramString) {
    this.encoding = paramString;
  }
  
  public void setRemoveDuplicateSql(Boolean paramBoolean) {
    this.removeDuplicateSql = paramBoolean;
  }
  
  public void setFormatSql(Boolean paramBoolean) {
    this.formatSql = paramBoolean;
  }
  
  public void setRemoveDuplicateTimeInterval(int paramInt) {
    this.removeDuplicateTimeInterval = paramInt;
  }
  
  public void setDbType(DbType paramDbType) {
    this.dbType = paramDbType;
  }
  
  public void setKeyWordDefCol(RgbColor paramRgbColor) {
    this.keyWordDefCol = paramRgbColor;
  }
  
  public void setEnabledKeyWordDefCol(boolean paramBoolean) {
    this.enabledKeyWordDefCol = paramBoolean;
  }
  
  public void setColorConfigs(List<ConsoleColorConfig> paramList) {
    this.colorConfigs = paramList;
  }
  
  public String getDeleteLogSuffix() {
    return this.deleteLogSuffix;
  }
  
  public String toString() {
    return "BatsLogConfig{sqlPrefix='" + this.sqlPrefix + "', paramsPrefix='" + this.paramsPrefix + "', timeFormat='" + this.timeFormat + "', desensitize=" + this.desensitize + ", prettyFormat=" + this.prettyFormat + ", parameterized=" + this.parameterized + ", toUpperCase=" + this.toUpperCase + ", addTimestamp=" + this.addTimestamp + ", autoJumpOut=" + this.autoJumpOut + ", startWithProject=" + this.startWithProject + ", enableMixedPrefix=" + this.enableMixedPrefix + ", encoding='" + this.encoding + "', removeDuplicateSql=" + this.removeDuplicateSql + ", formatSql=" + this.formatSql + ", removeDuplicateTimeInterval=" + this.removeDuplicateTimeInterval + ", maxPrepareAndParameterLength=" + this.maxPrepareAndParameterLength + ", deleteLogSuffix='" + this.deleteLogSuffix + "', dbType=" + this.dbType + ", keyWordDefCol=" + this.keyWordDefCol + ", enabledKeyWordDefCol=" + this.enabledKeyWordDefCol + ", colorConfigs=" + this.colorConfigs + "}";
  }
  
  public void setDeleteLogSuffix(String paramString) {
    this.deleteLogSuffix = paramString;
  }
}
